/* The following code was generated by JFlex 1.4.3 on 6/04/11 11:29 */

/* LSAGPILexer.java is a generated file.  You probably want to
 * edit LSAGPILexer.lex to make changes.  Use JFlex to generate it.
 * To generate LSAGPILexer.java
 * Install <a href="http://jflex.de/">JFlex</a> v1.3.2 or later.
 * Once JFlex is in your classpath run<br>
 * <code>java JFlex.Main LSAGPILexer.lex</code><br>
 * You will then have a file called LSAGPILexer.java
 */

/*
 * This file is part of a <a href="http://ostermiller.org/syntax/">syntax
 * highlighting</a> package.
 * Copyright (C) 1999-2002 Stephen Ostermiller
 * http://ostermiller.org/contact.pl?regarding=Syntax+Highlighting
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See COPYING.TXT for details.
 */

package com.Ostermiller.Syntax.Lexer;

import java.io.*;

/** 
 * LSAGPILexer is a java lexer.  Created with JFlex.  An example of how it is used:
 *  <CODE>
 *  <PRE>
 *  LSAGPILexer shredder = new LSAGPILexer(System.in);
 *  LSAGPIToken t;
 *  while ((t = shredder.getNextToken()) != null){
 *      System.out.println(t);
 *  }
 *  </PRE>
 *  </CODE>
 * The tokens returned should comply with the 
 * <A Href=http://java.sun.com/docs/books/jls/html/>Java 
 * Language Specification</A>.
 * @see LSAGPIToken
 */ 


public class LSAGPILexer implements Lexer {

  /** This character denotes the end of file */
  public static final int YYEOF = -1;

  /** initial size of the lookahead buffer */
  private static final int ZZ_BUFFERSIZE = 16384;

  /** lexical states */
  public static final int YYINITIAL = 0;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = { 
     0, 0
  };

  /** 
   * Translates characters to character classes
   */
  private static final char [] ZZ_CMAP = {
     0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  9,  0,  7,  9,  0,  0, 
     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
     7, 43, 18,  0,  6, 10, 47, 17, 32, 33, 20, 21, 39, 22, 31, 19, 
     4,  5,  5,  5,  3,  3,  3,  3,  2,  2, 46, 38, 42, 40, 41, 45, 
     0, 52, 65, 50, 30, 27, 28, 61, 68, 58, 66,  6, 24, 56, 57, 55, 
    59, 64, 53, 60, 54, 51, 63,  6, 25,  6, 62, 36,  8, 37, 49,  6, 
     0, 69, 14,  1, 29, 26, 15,  6,  6,  6,  6,  6, 23,  6, 13,  6, 
     6,  6, 12, 70, 16, 11,  6,  6, 25,  6,  6, 34, 48, 35, 44,  0, 
     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
     0,  0,  0,  0,  0, 67,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0
  };

  /** 
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\1\0\1\1\1\2\2\3\1\4\1\1\1\5\3\2"+
    "\1\6\1\7\1\10\1\11\1\12\1\13\4\2\1\14"+
    "\1\15\1\16\1\17\1\20\1\21\1\22\1\23\1\24"+
    "\1\25\1\26\1\27\1\30\1\31\1\32\1\33\1\34"+
    "\1\35\1\36\13\2\1\37\1\40\1\41\1\37\2\42"+
    "\1\37\2\43\1\44\2\37\2\45\1\1\1\46\3\2"+
    "\1\47\1\0\1\50\1\51\1\52\1\53\1\54\1\55"+
    "\1\56\1\57\1\60\1\61\1\62\6\2\1\63\3\2"+
    "\1\64\1\42\1\45\1\65\1\66\1\67\1\70\1\71"+
    "\1\72\1\73\1\74\1\75\1\76\1\77\24\2\1\100"+
    "\4\2\1\42\1\0\1\101\1\102\1\45\1\0\1\1"+
    "\3\2\1\6\1\0\1\103\2\47\1\6\2\51\1\7"+
    "\2\54\7\2\1\104\1\105\1\40\1\0\1\42\1\44"+
    "\1\0\1\45\1\106\1\107\1\110\4\2\1\111\35\2"+
    "\1\42\1\112\1\45\1\1\1\113\1\114\1\6\1\115"+
    "\1\51\1\0\2\54\1\116\10\2\1\117\43\2\1\1"+
    "\1\6\1\51\1\0\1\120\17\2\1\121\2\2\1\122"+
    "\1\1\1\2\1\123\1\2\1\124\1\2\1\125\5\2"+
    "\1\126\7\2\1\127\1\130\2\2\1\6\1\51\1\0"+
    "\4\2\1\131\2\2\1\132\1\133\1\134\7\2\1\135"+
    "\1\136\2\2\1\137\1\140\7\2\1\141\1\142\3\2"+
    "\1\143\1\0\6\2\1\144\5\2\1\145\1\146\11\2"+
    "\1\147\1\2\1\150\1\0\2\2\1\151\1\152\1\153"+
    "\1\2\1\154\4\2\1\155\2\2\1\156\1\2\1\157"+
    "\4\2\1\160\5\2\1\161\4\2\1\162\10\2\1\163"+
    "\6\2\1\164\1\165\1\2\1\166\2\2\1\167\1\2"+
    "\1\170\1\2\1\171\3\2\1\172\1\2\1\173\7\2"+
    "\1\174\11\2\1\175\1\2\1\176\1\2\1\177";

  private static int [] zzUnpackAction() {
    int [] result = new int[464];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** 
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\107\0\216\0\325\0\u011c\0\u0163\0\u01aa\0\u01f1"+
    "\0\u0238\0\u027f\0\u02c6\0\u030d\0\u0354\0\u039b\0\u03e2\0\u0429"+
    "\0\u0470\0\u04b7\0\u04fe\0\u0545\0\u058c\0\u05d3\0\u061a\0\u061a"+
    "\0\u061a\0\u061a\0\u061a\0\u061a\0\u061a\0\u061a\0\u0661\0\u06a8"+
    "\0\u06ef\0\u0736\0\u061a\0\u061a\0\u061a\0\u077d\0\u07c4\0\u080b"+
    "\0\u0852\0\u0899\0\u08e0\0\u0927\0\u096e\0\u09b5\0\u09fc\0\u0a43"+
    "\0\u0a8a\0\u0ad1\0\u0b18\0\u0b5f\0\u0b5f\0\u0b5f\0\u0ba6\0\u0b5f"+
    "\0\u0bed\0\u0c34\0\u0c7b\0\u0cc2\0\u0b5f\0\u0d09\0\u0d50\0\u0b5f"+
    "\0\u0d97\0\u0dde\0\u061a\0\u0e25\0\u0e6c\0\u0eb3\0\u0efa\0\u0f41"+
    "\0\u061a\0\u0f88\0\u061a\0\u0fcf\0\u1016\0\u061a\0\u061a\0\u061a"+
    "\0\u061a\0\u061a\0\u061a\0\u105d\0\u10a4\0\u10eb\0\u1132\0\u1179"+
    "\0\u11c0\0\216\0\u1207\0\u124e\0\u1295\0\216\0\u12dc\0\u1323"+
    "\0\u061a\0\u061a\0\u136a\0\u061a\0\u13b1\0\u061a\0\u061a\0\u061a"+
    "\0\u061a\0\u061a\0\u061a\0\u13f8\0\u143f\0\u1486\0\u14cd\0\u1514"+
    "\0\u155b\0\u15a2\0\u15e9\0\u1630\0\u1677\0\u16be\0\u1705\0\u174c"+
    "\0\u1793\0\u17da\0\u1821\0\u1868\0\u18af\0\u18f6\0\u193d\0\u1984"+
    "\0\u19cb\0\u1a12\0\u1a59\0\u1aa0\0\u1ae7\0\u1b2e\0\u0b5f\0\u1b75"+
    "\0\u1bbc\0\u1c03\0\u1c4a\0\u1c91\0\u1cd8\0\u1d1f\0\u1d66\0\u1dad"+
    "\0\u061a\0\u1df4\0\u1e3b\0\u1e82\0\u1ec9\0\u1f10\0\u1f57\0\u1f9e"+
    "\0\u1fe5\0\u202c\0\u2073\0\u20ba\0\u2101\0\u2148\0\u218f\0\u21d6"+
    "\0\216\0\216\0\u061a\0\u221d\0\u061a\0\u061a\0\u2264\0\u061a"+
    "\0\u061a\0\u22ab\0\u061a\0\u22f2\0\u2339\0\u2380\0\u23c7\0\u240e"+
    "\0\u2455\0\u249c\0\u24e3\0\u252a\0\u2571\0\u25b8\0\u25ff\0\u2646"+
    "\0\u268d\0\u26d4\0\u271b\0\u2762\0\u27a9\0\u27f0\0\u2837\0\u287e"+
    "\0\u28c5\0\u290c\0\u2953\0\u299a\0\u29e1\0\u2a28\0\u2a6f\0\u2ab6"+
    "\0\u2afd\0\u2b44\0\u2b8b\0\u2bd2\0\u2c19\0\u2c60\0\u0b5f\0\u2ca7"+
    "\0\u2cee\0\216\0\216\0\u2d35\0\u061a\0\u2d7c\0\u2dc3\0\u2e0a"+
    "\0\u2e51\0\u061a\0\u2e98\0\u2edf\0\u2f26\0\u2f6d\0\u2fb4\0\u2ffb"+
    "\0\u3042\0\u3089\0\u061a\0\u30d0\0\u3117\0\u315e\0\u31a5\0\u31ec"+
    "\0\u3233\0\u327a\0\u32c1\0\u3308\0\u334f\0\u3396\0\u33dd\0\u3424"+
    "\0\u346b\0\u34b2\0\u34f9\0\u3540\0\u3587\0\u35ce\0\u3615\0\u365c"+
    "\0\u36a3\0\u36ea\0\u3731\0\u3778\0\u37bf\0\u3806\0\u384d\0\u3894"+
    "\0\u38db\0\u3922\0\u3969\0\u39b0\0\u39f7\0\u3a3e\0\u3a85\0\u3acc"+
    "\0\u3b13\0\u3b5a\0\u061a\0\u3ba1\0\u3be8\0\u3c2f\0\u3c76\0\u3cbd"+
    "\0\u3d04\0\u3d4b\0\u3d92\0\u3dd9\0\u3e20\0\u3e67\0\u3eae\0\u3ef5"+
    "\0\u3f3c\0\u3f83\0\216\0\u3fca\0\u4011\0\216\0\u4058\0\u409f"+
    "\0\216\0\u40e6\0\216\0\u412d\0\216\0\u4174\0\u41bb\0\u4202"+
    "\0\u4249\0\u4290\0\216\0\u42d7\0\u431e\0\u4365\0\u43ac\0\u43f3"+
    "\0\u443a\0\u4481\0\216\0\u44c8\0\u450f\0\u4556\0\u459d\0\u45e4"+
    "\0\u462b\0\u4672\0\u46b9\0\u4700\0\u4747\0\216\0\u478e\0\u47d5"+
    "\0\216\0\216\0\216\0\u481c\0\u4863\0\u48aa\0\u48f1\0\u4938"+
    "\0\u497f\0\u49c6\0\107\0\216\0\u4a0d\0\u4a54\0\216\0\216"+
    "\0\u4a9b\0\u4ae2\0\u4b29\0\u4b70\0\u4bb7\0\u4bfe\0\u4c45\0\216"+
    "\0\u4c8c\0\u4cd3\0\u4d1a\0\u4d61\0\216\0\u4da8\0\u4def\0\u4e36"+
    "\0\u4e7d\0\u4ec4\0\u4f0b\0\u4f52\0\216\0\u4f99\0\u4fe0\0\u5027"+
    "\0\u506e\0\u50b5\0\216\0\216\0\u50fc\0\u5143\0\u518a\0\u51d1"+
    "\0\u5218\0\u525f\0\u52a6\0\u52ed\0\u5334\0\216\0\u537b\0\216"+
    "\0\u53c2\0\u5409\0\u5450\0\216\0\216\0\216\0\u5497\0\216"+
    "\0\u54de\0\u5525\0\u556c\0\u55b3\0\216\0\u55fa\0\u5641\0\216"+
    "\0\u5688\0\216\0\u56cf\0\u5716\0\u575d\0\u57a4\0\216\0\u57eb"+
    "\0\u5832\0\u5879\0\u58c0\0\u5907\0\216\0\u594e\0\u5995\0\u59dc"+
    "\0\u5a23\0\216\0\u5a6a\0\u5ab1\0\u5af8\0\u5b3f\0\u5b86\0\u5bcd"+
    "\0\u5c14\0\u5c5b\0\216\0\u5ca2\0\u5ce9\0\u5d30\0\u5d77\0\u5dbe"+
    "\0\u5e05\0\216\0\216\0\u5e4c\0\216\0\u5e93\0\u5eda\0\216"+
    "\0\u5f21\0\216\0\u5f68\0\216\0\u5faf\0\u5ff6\0\u603d\0\216"+
    "\0\u6084\0\216\0\u60cb\0\u6112\0\u6159\0\u61a0\0\u61e7\0\u622e"+
    "\0\u6275\0\216\0\u62bc\0\u6303\0\u634a\0\u6391\0\u63d8\0\u641f"+
    "\0\u6466\0\u64ad\0\u64f4\0\216\0\u653b\0\216\0\u6582\0\216";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[464];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /** 
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpackTrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\1\2\1\3\2\4\1\5\1\4\1\3\1\6\1\7"+
    "\1\6\1\10\2\3\1\11\1\3\1\12\1\13\1\14"+
    "\1\15\1\16\1\17\1\20\1\21\1\3\1\22\2\3"+
    "\1\23\1\24\1\3\1\25\1\26\1\27\1\30\1\31"+
    "\1\32\1\33\1\34\1\35\1\36\1\37\1\40\1\41"+
    "\1\42\1\43\1\44\1\45\1\46\1\47\1\50\1\51"+
    "\1\3\1\52\1\3\1\53\1\3\1\54\1\3\1\55"+
    "\1\56\1\57\1\60\1\3\1\61\2\3\1\62\1\2"+
    "\1\63\2\3\7\2\1\0\1\2\2\0\6\2\6\0"+
    "\10\2\23\0\26\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\21\3\1\2\3\3\2\64\4\4"+
    "\1\64\1\0\1\64\2\0\4\64\1\65\1\64\6\0"+
    "\2\66\1\64\2\67\1\65\2\70\1\71\22\0\27\64"+
    "\1\72\1\73\1\74\1\73\1\64\1\0\1\64\2\0"+
    "\4\64\1\75\1\64\6\0\2\66\1\76\2\77\1\75"+
    "\2\100\1\101\22\0\25\64\7\0\1\6\1\0\1\6"+
    "\75\0\7\2\1\0\1\2\2\0\1\102\5\2\6\0"+
    "\10\2\23\0\25\2\50\0\1\103\36\0\1\2\6\3"+
    "\1\0\1\7\2\0\1\104\5\3\6\0\10\3\23\0"+
    "\21\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\21\3\1\2\1\3\1\105"+
    "\1\3\1\2\6\3\1\0\1\7\2\0\1\3\1\106"+
    "\4\3\6\0\10\3\23\0\21\3\1\2\3\3\10\107"+
    "\1\110\1\0\7\107\1\111\65\107\10\15\1\112\1\0"+
    "\10\15\1\113\64\15\23\0\1\114\1\115\23\0\1\116"+
    "\106\0\1\117\63\0\1\120\22\0\1\121\64\0\1\122"+
    "\21\0\1\123\36\0\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\5\3\1\124\2\3\1\125"+
    "\10\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\1\3\1\126\6\3\23\0\4\3\1\127"+
    "\2\3\1\130\2\3\1\131\3\3\1\132\2\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\1\3\1\133\7\3\1\134\7\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\2\3\1\135\5\3\1\136\10\3\1\2"+
    "\3\3\2\0\2\137\1\140\1\137\260\0\1\141\106\0"+
    "\1\142\1\143\105\0\1\144\1\0\1\145\104\0\1\146"+
    "\106\0\1\147\6\0\1\150\77\0\1\151\7\0\1\152"+
    "\76\0\1\153\36\0\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\1\3\1\154\3\3\1\155"+
    "\13\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\7\3\1\156\23\0\1\157\6\3\1\160"+
    "\11\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\4\3\1\161\3\3\23\0\2\3\1\162"+
    "\5\3\1\163\10\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\2\3\1\164"+
    "\2\3\1\165\2\3\1\166\10\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\1\167\5\3\1\170\1\171\11\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\2\3\1\172\1\173\1\3\1\174\13\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\4\3"+
    "\1\175\3\3\23\0\2\3\1\176\2\3\1\177\2\3"+
    "\1\200\10\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\10\3\1\201\10\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\4\3\1\202\3\3\23\0\21\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\1\3\1\203\17\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\2\3"+
    "\1\204\16\3\1\2\3\3\7\64\1\0\1\64\2\0"+
    "\6\64\6\0\11\64\22\0\27\64\4\205\1\64\1\0"+
    "\1\64\2\0\6\64\4\0\2\206\11\64\22\0\27\64"+
    "\4\71\1\64\1\0\1\64\2\0\4\64\1\65\1\64"+
    "\6\0\3\64\2\67\1\65\2\70\1\64\22\0\27\64"+
    "\4\72\1\64\1\0\1\64\2\0\4\64\1\65\1\64"+
    "\6\0\3\64\2\67\1\65\2\70\1\71\22\0\27\64"+
    "\1\72\3\73\1\64\1\0\1\64\2\0\4\64\1\65"+
    "\1\64\6\0\2\207\1\64\2\67\1\65\2\70\1\71"+
    "\22\0\27\64\1\72\1\73\1\74\1\73\1\64\1\0"+
    "\1\64\2\0\4\64\1\75\1\64\6\0\2\207\1\64"+
    "\2\77\1\75\2\100\1\101\22\0\26\64\5\210\1\64"+
    "\1\0\1\64\2\0\3\64\2\210\1\64\6\0\3\64"+
    "\5\210\1\64\22\0\1\210\1\64\1\210\14\64\1\210"+
    "\3\64\1\210\3\64\4\211\1\64\1\0\1\64\2\0"+
    "\6\64\4\0\2\212\11\64\22\0\27\64\2\71\1\101"+
    "\1\71\1\64\1\0\1\64\2\0\4\64\1\75\1\64"+
    "\6\0\3\64\2\77\1\75\2\100\1\64\22\0\25\64"+
    "\1\2\5\213\1\2\1\0\1\2\2\0\3\2\2\213"+
    "\1\2\6\0\3\2\5\213\23\0\1\213\1\2\1\213"+
    "\14\2\1\213\3\2\1\213\2\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\1\214\7\3\23\0\21\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\1\215\7\3\23\0\21\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\1\216\5\3\6\0\10\3\23\0"+
    "\21\3\1\2\3\3\10\217\1\220\1\0\7\217\1\221"+
    "\70\217\1\222\2\223\2\217\1\107\1\0\1\217\1\224"+
    "\7\107\64\217\3\225\3\15\2\225\1\15\1\0\1\225"+
    "\1\226\6\15\1\227\64\225\11\114\1\0\75\114\24\230"+
    "\1\231\62\230\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\1\232\20\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\6\3\1\233\12\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\4\3\1\234\3\3\23\0"+
    "\21\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\10\3\1\235\10\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\4\3\1\236\14\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\11\3\1\237\7\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\4\3\1\240\3\3\23\0"+
    "\21\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\12\3\1\241\6\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\3\3\1\242\15\3\1\2\3\3\2\0"+
    "\4\137\11\0\1\243\12\0\2\244\1\243\2\245\52\0"+
    "\2\137\1\140\1\137\11\0\1\246\12\0\2\247\1\246"+
    "\2\250\120\0\1\251\1\252\105\0\1\253\36\0\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\2\3\1\254\1\255\15\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\1\3\1\256\6\3"+
    "\23\0\7\3\1\257\11\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\7\3\1\260\23\0"+
    "\21\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\4\3\1\261\14\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\7\3\1\262\23\0\10\3\1\263\2\3\1\264\5\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\1\265\20\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\6\3\1\266\12\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\4\3\1\267"+
    "\2\3\1\270\11\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\12\3\1\271"+
    "\6\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\15\3\1\272\3\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\4\3\1\273\3\3\23\0\21\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\5\3\1\274\13\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\2\3\1\275"+
    "\16\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\10\3\1\276\1\3\1\277"+
    "\2\3\1\300\3\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\7\3\1\301"+
    "\1\3\1\302\7\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\5\3\1\303"+
    "\13\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\12\3\1\304\6\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\1\3\1\305\6\3\23\0\7\3\1\306\11\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\1\3\1\307\6\3\23\0\21\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\7\3\1\310\11\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\12\3\1\311"+
    "\6\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\3\3\1\312\15\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\3\3\1\313\15\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\13\3\1\314\5\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\17\3\1\315"+
    "\1\3\1\2\3\3\2\64\4\205\1\64\1\0\1\64"+
    "\2\0\4\64\1\65\1\64\6\0\5\64\1\65\2\70"+
    "\1\64\22\0\25\64\2\0\4\316\101\0\1\64\5\210"+
    "\1\64\1\0\1\64\2\0\3\64\2\210\1\64\6\0"+
    "\2\317\1\64\5\210\1\64\22\0\1\210\1\64\1\210"+
    "\14\64\1\210\3\64\1\210\3\64\4\211\1\64\1\0"+
    "\1\64\2\0\4\64\1\75\1\64\6\0\5\64\1\75"+
    "\2\100\1\64\22\0\25\64\2\0\4\320\101\0\1\2"+
    "\5\321\1\2\1\0\1\2\2\0\3\2\2\321\1\2"+
    "\6\0\3\2\5\321\23\0\1\321\1\2\1\321\14\2"+
    "\1\321\3\2\1\321\2\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\1\322\7\3\23\0\21\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\21\3\1\2\2\3\1\216\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\3\3\1\323\4\3\23\0"+
    "\21\3\1\2\3\3\10\217\1\220\1\0\7\217\1\111"+
    "\76\217\1\0\100\217\3\107\2\217\1\220\1\0\7\217"+
    "\1\221\70\217\3\222\2\217\1\220\1\0\7\217\1\221"+
    "\66\217\5\324\2\217\1\220\1\0\4\217\2\324\1\217"+
    "\1\111\10\217\5\324\23\217\1\324\1\217\1\324\14\217"+
    "\1\324\3\217\1\324\1\217\11\225\1\0\10\225\1\325"+
    "\65\225\5\326\3\225\1\0\4\225\2\326\2\225\1\325"+
    "\7\225\5\326\23\225\1\326\1\225\1\326\14\225\1\326"+
    "\3\225\1\326\1\225\10\227\1\327\1\0\10\227\1\113"+
    "\64\227\24\230\1\330\62\230\23\331\1\332\1\231\62\331"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\2\3\1\333\16\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\11\3"+
    "\1\334\7\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\6\3\1\335\12\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\16\3\1\336\2\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\4\3"+
    "\1\337\3\3\23\0\5\3\1\340\13\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\4\3"+
    "\1\341\3\3\23\0\21\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\7\3"+
    "\1\342\11\3\1\2\3\3\2\0\4\316\17\0\2\206"+
    "\62\0\4\320\17\0\2\212\130\0\1\343\36\0\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\3\3\1\344\15\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\12\3\1\345"+
    "\6\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\5\3\1\346\2\3\1\347"+
    "\10\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\6\3\1\350\12\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\11\3\1\351\7\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\10\3\1\352\10\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\2\3\1\353"+
    "\16\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\6\3\1\354\12\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\1\3\1\355\17\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\1\3\1\356"+
    "\6\3\23\0\21\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\2\3\1\357"+
    "\16\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\1\3\1\360\17\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\4\3\1\361\14\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\1\362\20\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\4\3\1\363\3\3\23\0\21\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\7\3\1\364\11\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\7\3\1\365\11\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\13\3"+
    "\1\366\5\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\1\367\20\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\4\3\1\370\14\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\4\3\1\371"+
    "\3\3\23\0\21\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\4\3\1\372"+
    "\14\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\4\3\1\373\3\3\23\0\21\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\1\374\20\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\10\3"+
    "\1\375\10\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\4\3\1\376\3\3\23\0\21\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\4\3\1\377\14\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\4\3\1\u0100\14\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\10\3"+
    "\1\u0101\10\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\4\3\1\u0102\14\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\2\3\1\u0103\16\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\17\3\1\u0104\1\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\2\3"+
    "\1\u0105\16\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\1\3\1\u0106\6\3\23\0\21\3"+
    "\1\2\3\3\2\0\4\316\11\0\1\243\14\0\1\243"+
    "\2\245\52\0\4\320\11\0\1\246\14\0\1\246\2\250"+
    "\50\0\1\2\5\u0107\1\2\1\0\1\2\2\0\3\2"+
    "\2\u0107\1\2\6\0\3\2\5\u0107\23\0\1\u0107\1\2"+
    "\1\u0107\14\2\1\u0107\3\2\1\u0107\1\2\1\217\5\u0108"+
    "\2\217\1\220\1\0\4\217\2\u0108\1\217\1\111\10\217"+
    "\5\u0108\23\217\1\u0108\1\217\1\u0108\14\217\1\u0108\3\217"+
    "\1\u0108\1\217\1\225\5\u0109\3\225\1\0\4\225\2\u0109"+
    "\2\225\1\325\7\225\5\u0109\23\225\1\u0109\1\225\1\u0109"+
    "\14\225\1\u0109\3\225\1\u0109\1\225\3\0\3\227\2\0"+
    "\1\227\2\0\1\u010a\7\227\64\0\23\230\1\u010b\1\330"+
    "\62\230\24\331\1\231\62\331\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\1\3\1\u010c\6\3\23\0\21\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\10\3\1\u010d\10\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\4\3"+
    "\1\u010e\3\3\23\0\21\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\1\3"+
    "\1\u010f\17\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\3\3\1\u0110\15\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\7\3\1\u0111\11\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\3\3\1\u0112\15\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\4\3"+
    "\1\u0113\14\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\4\3\1\u0114\14\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\5\3\1\u0115\13\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\1\u0116\20\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\12\3\1\u0117"+
    "\6\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\1\3\1\u0118\17\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\3\3\1\u0119\15\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\15\3\1\u011a\3\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\3\3\1\u011b"+
    "\15\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\2\3\1\u011c\16\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\1\3\1\u011d\6\3\23\0\21\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\2\3\1\u011e\16\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\21\3\1\u011f"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\1\3\1\u0120\6\3\23\0\21\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\2\3\1\u0121\16\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\2\3\1\u0122"+
    "\16\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\3\3\1\u0123\15\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\4\3\1\u0124\14\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\5\3\1\u0125\13\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\4\3\1\u0126\3\3\23\0"+
    "\21\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\10\3\1\u0127\10\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\3\3\1\u0128\15\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\7\3\1\u0129\11\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\2\3\1\u012a"+
    "\16\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\1\3\1\u012b\6\3\23\0\21\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\4\3\1\u012c\3\3\23\0\21\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\1\u012d\20\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\1\u012e\20\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\4\3\1\u012f\3\3\23\0\21\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\2\3\1\u0130\16\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\7\3\1\u0131\23\0\21\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\4\3\1\u0132\3\3\23\0\21\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\3\3\1\u0133\15\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\5\3"+
    "\1\u0134\13\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\7\3\1\u0135\23\0\21\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\2\3\1\u0136\16\3\1\2\3\3\1\2"+
    "\5\3\1\2\1\0\1\2\2\0\3\2\2\3\1\2"+
    "\6\0\3\2\5\3\23\0\1\3\1\2\1\3\14\2"+
    "\1\3\3\2\1\3\1\2\1\217\5\u0137\2\217\1\220"+
    "\1\0\4\217\2\u0137\1\217\1\111\10\217\5\u0137\23\217"+
    "\1\u0137\1\217\1\u0137\14\217\1\u0137\3\217\1\u0137\1\217"+
    "\1\225\5\u0138\3\225\1\0\4\225\2\u0138\2\225\1\325"+
    "\7\225\5\u0138\23\225\1\u0138\1\225\1\u0138\14\225\1\u0138"+
    "\3\225\1\u0138\1\225\1\0\5\u0139\10\0\2\u0139\12\0"+
    "\5\u0139\23\0\1\u0139\1\0\1\u0139\14\0\1\u0139\3\0"+
    "\1\u0139\1\0\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\10\3\1\u013a\10\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\2\3\1\u013b\16\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\7\3"+
    "\1\u013c\11\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\4\3\1\u013d\3\3\23\0\21\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\5\3\1\u013e\13\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\1\u013f\20\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\2\3\1\u0140"+
    "\16\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\4\3\1\u0141\3\3\23\0\21\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\5\3\1\u0142\13\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\3\3\1\u0143\15\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\2\3\1\u0144"+
    "\16\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\10\3\1\u0145\10\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\4\3\1\u0146\14\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\4\3\1\u0147"+
    "\3\3\23\0\21\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\2\3\1\u0148"+
    "\16\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\1\u0149\20\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\5\3\1\u014a\13\3\1\2\3\3\7\2\1\0"+
    "\1\2\2\0\6\2\6\0\10\2\23\0\5\2\1\u014b"+
    "\20\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\5\3\1\u014c\13\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\3\3"+
    "\1\u014d\15\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\3\3\1\u014e\15\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\7\3\1\u014f\11\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\5\3\1\u0150\13\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\1\3"+
    "\1\u0151\17\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\4\3\1\u0152\14\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\1\3\1\u0153\6\3\23\0\21\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\7\3"+
    "\1\u0154\23\0\21\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\10\3\1\u0155"+
    "\10\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\1\u0156\20\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\7\3\1\u0157\11\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\3\3"+
    "\1\u0158\15\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\5\3\1\u0159\13\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\6\3\1\u015a\12\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\7\3"+
    "\1\u015b\23\0\21\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\5\3\1\u015c"+
    "\13\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\3\3\1\u015d\15\3\1\2"+
    "\3\3\1\217\5\107\2\217\1\220\1\0\4\217\2\107"+
    "\1\217\1\111\10\217\5\107\23\217\1\107\1\217\1\107"+
    "\14\217\1\107\3\217\1\107\1\217\1\225\5\15\3\225"+
    "\1\0\4\225\2\15\2\225\1\325\7\225\5\15\23\225"+
    "\1\15\1\225\1\15\14\225\1\15\3\225\1\15\1\225"+
    "\1\0\5\u015e\10\0\2\u015e\12\0\5\u015e\23\0\1\u015e"+
    "\1\0\1\u015e\14\0\1\u015e\3\0\1\u015e\1\0\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\14\3\1\u015f\4\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\3\3\1\u0160"+
    "\15\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\4\3\1\u0161\14\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\4\3\1\u0162\14\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\4\3\1\u0163"+
    "\3\3\23\0\21\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\3\3\1\u0164"+
    "\15\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\3\3\1\u0165\15\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\5\3\1\u0166\13\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\2\3\1\u0167\16\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\13\3\1\u0168"+
    "\5\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\3\3\1\u0169\15\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\10\3\1\u016a\10\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\12\3\1\u016b\6\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\2\3\1\u016c"+
    "\16\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\2\3\1\u016d\16\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\1\u016e\20\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\2\3"+
    "\1\u016f\16\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\1\3\1\u0170\6\3\23\0\21\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\10\3\1\u0171\10\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\5\3\1\u0172\13\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\10\3"+
    "\1\u0173\10\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\1\u0174\20\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\5\3\1\u0175\2\3\23\0\21\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\2\3\1\u0176\16\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\4\3\1\u0177\3\3\23\0"+
    "\21\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\3\3\1\u0178\15\3\1\2"+
    "\3\3\1\0\5\u0179\10\0\2\u0179\12\0\5\u0179\23\0"+
    "\1\u0179\1\0\1\u0179\14\0\1\u0179\3\0\1\u0179\1\0"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\2\3\1\u017a\16\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\11\3"+
    "\1\u017b\7\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\5\3\1\u017c\13\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\2\3\1\u017d\16\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\12\3\1\u017e\6\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\4\3\1\u017f\3\3"+
    "\23\0\21\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\7\3\1\u0180\11\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\4\3\1\u0181\14\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\1\3\1\u0182\17\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\11\3"+
    "\1\u0183\7\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\5\3\1\u0184\13\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\12\3\1\u0185\6\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\1\u0186\20\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\3\3\1\u0187"+
    "\15\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\2\3\1\u0188\16\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\6\3\1\u0189\12\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\7\3\1\u018a\11\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\5\3\1\u018b"+
    "\13\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\10\3\1\u018c\10\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\5\3\1\u018d\13\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\5\3\1\u018e"+
    "\2\3\23\0\21\3\1\2\3\3\1\0\5\227\10\0"+
    "\2\227\12\0\5\227\23\0\1\227\1\0\1\227\14\0"+
    "\1\227\3\0\1\227\1\0\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\3\3\1\u018f\15\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\2\3\1\u0190\16\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\12\3\1\u0191\6\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\10\3"+
    "\1\u0192\10\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\7\3\1\u0193\11\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\2\3\1\u0194\16\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\7\3\1\u0195\11\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\10\3"+
    "\1\u0196\10\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\10\3\1\u0197\10\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\10\3\1\u0198\10\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\7\3\1\u0199\11\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\2\3"+
    "\1\u019a\16\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\7\3\1\u019b\11\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\4\3\1\u019c\3\3\23\0\21\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\7\3\1\u019d\11\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\11\3"+
    "\1\u019e\7\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\15\3\1\u019f\3\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\4\3\1\u01a0\14\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\7\3\1\u01a1\11\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\5\3"+
    "\1\u01a2\13\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\5\3\1\u01a3\13\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\4\3\1\u01a4\3\3\23\0\21\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\2\3\1\u01a5\16\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\7\3\1\u01a6\23\0"+
    "\21\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\1\u01a7\20\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\4\3"+
    "\1\u01a8\3\3\23\0\21\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\1\3"+
    "\1\u01a9\17\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\5\3\1\u01aa\13\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\2\3\1\u01ab\16\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\4\3"+
    "\1\u01ac\3\3\23\0\21\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\7\3"+
    "\1\u01ad\11\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\7\3\1\u01ae\11\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\3\3\1\u01af\15\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\5\3\1\u01b0\13\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\4\3"+
    "\1\u01b1\14\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\1\3\1\u01b2\6\3\23\0\21\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\4\3\1\u01b3\3\3\23\0\21\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\1\3"+
    "\1\u01b4\6\3\23\0\21\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\4\3"+
    "\1\u01b5\14\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\2\3\1\u01b6\15\3"+
    "\1\u01b7\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\5\3\1\u01b8\13\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\12\3\1\u01b9\6\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\5\3\1\u01ba\13\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\1\u01bb\6\3"+
    "\1\u01bc\11\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\1\3\1\u01bd\17\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\4\3\1\u01be\14\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\4\3\1\u01bf\14\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\10\3"+
    "\1\u01c0\10\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\13\3\1\u01c1\5\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\2\3\1\u01c2\16\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\10\3\1\u01c3\10\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\6\3"+
    "\1\u01c4\12\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\10\3\23\0\2\3\1\u01c5\16\3"+
    "\1\2\3\3\1\2\6\3\1\0\1\7\2\0\6\3"+
    "\6\0\10\3\23\0\4\3\1\u01c6\14\3\1\2\3\3"+
    "\1\2\6\3\1\0\1\7\2\0\6\3\6\0\10\3"+
    "\23\0\2\3\1\u01c7\16\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\7\3\1\u01c8\23\0"+
    "\21\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\1\3\1\u01c9\17\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\1\u01ca\20\3\1\2\3\3\1\2\6\3"+
    "\1\0\1\7\2\0\6\3\6\0\10\3\23\0\5\3"+
    "\1\u01cb\13\3\1\2\3\3\1\2\6\3\1\0\1\7"+
    "\2\0\6\3\6\0\7\3\1\u01cc\23\0\21\3\1\2"+
    "\3\3\1\2\6\3\1\0\1\7\2\0\6\3\6\0"+
    "\10\3\23\0\10\3\1\u01cd\10\3\1\2\3\3\1\2"+
    "\6\3\1\0\1\7\2\0\6\3\6\0\10\3\23\0"+
    "\3\3\1\u01ce\15\3\1\2\3\3\1\2\6\3\1\0"+
    "\1\7\2\0\6\3\6\0\10\3\23\0\5\3\1\u01cf"+
    "\13\3\1\2\3\3\1\2\6\3\1\0\1\7\2\0"+
    "\6\3\6\0\10\3\23\0\7\3\1\u01d0\11\3\1\2"+
    "\3\3";

  private static int [] zzUnpackTrans() {
    int [] result = new int[26057];
    int offset = 0;
    offset = zzUnpackTrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackTrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /* error codes */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  private static final int ZZ_NO_MATCH = 1;
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /* error messages for the codes above */
  private static final String ZZ_ERROR_MSG[] = {
    "Unkown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state <code>aState</code>
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\1\0\25\1\10\11\4\1\3\11\35\1\1\11\4\1"+
    "\1\0\1\11\1\1\1\11\2\1\6\11\15\1\2\11"+
    "\1\1\1\11\1\1\6\11\32\1\1\0\3\1\1\0"+
    "\5\1\1\0\1\11\21\1\1\11\1\0\2\11\1\0"+
    "\2\11\1\1\1\11\51\1\1\11\1\1\1\0\2\1"+
    "\1\11\10\1\1\11\46\1\1\0\1\11\55\1\1\0"+
    "\44\1\1\0\32\1\1\0\127\1";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[464];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** the input device */
  private java.io.Reader zzReader;

  /** the current state of the DFA */
  private int zzState;

  /** the current lexical state */
  private int zzLexicalState = YYINITIAL;

  /** this buffer contains the current text to be matched and is
      the source of the yytext() string */
  private char zzBuffer[] = new char[ZZ_BUFFERSIZE];

  /** the textposition at the last accepting state */
  private int zzMarkedPos;

  /** the current text position in the buffer */
  private int zzCurrentPos;

  /** startRead marks the beginning of the yytext() string in the buffer */
  private int zzStartRead;

  /** endRead marks the last character in the buffer, that has been read
      from input */
  private int zzEndRead;

  /** number of newlines encountered up to the start of the matched text */
  private int yyline;

  /** the number of characters up to the start of the matched text */
  private int yychar;

  /**
   * the number of characters from the last newline up to the start of the 
   * matched text
   */
  private int yycolumn;

  /** 
   * zzAtBOL == true <=> the scanner is currently at the beginning of a line
   */
  private boolean zzAtBOL = true;

  /** zzAtEOF == true <=> the scanner is at the EOF */
  private boolean zzAtEOF;

  /** denotes if the user-EOF-code has already been executed */
  private boolean zzEOFDone;

  /* user code: */
    private int lastToken;
    private int nextState=YYINITIAL;
    
    /** 
     * next Token method that allows you to control if whitespace and comments are
     * returned as tokens.
     */
    public Token getNextToken(boolean returnComments, boolean returnWhiteSpace)throws IOException{
        Token t = getNextToken();
        while (t != null && ((!returnWhiteSpace && t.isWhiteSpace()) || (!returnComments && t.isComment()))){
            t = getNextToken();
        }
        return (t); 
    }
        
    /**
     * Prints out tokens from a file or System.in.
     * If no arguments are given, System.in will be used for input.
     * If more arguments are given, the first argument will be used as
     * the name of the file to use as input
     *
     * @param args program arguments, of which the first is a filename
     */
    public static void main(String[] args) {
        InputStream in;
        try {
            if (args.length > 0){
                File f = new File(args[0]);
                if (f.exists()){
                    if (f.canRead()){
                        in = new FileInputStream(f);
                    } else {
                        throw new IOException("Could not open " + args[0]);
                    }
                } else {
                    throw new IOException("Could not find " + args[0]);
                }
            } else {
                in = System.in;
            }
            LSAGPILexer shredder = new LSAGPILexer(in);
            Token t;
            while ((t = shredder.getNextToken()) != null) {
                if (t.getID() != LSAGPIToken.WHITE_SPACE){
                    System.out.println(t);
                }
            }
        } catch (IOException e){
            System.out.println(e.getMessage());
        }
    }  

    /**
     * Closes the current input stream, and resets the scanner to read from a new input stream.
	 * All internal variables are reset, the old input stream  cannot be reused
	 * (content of the internal buffer is discarded and lost).
	 * The lexical state is set to the initial state.
     * Subsequent tokens read from the lexer will start with the line, char, and column
     * values given here.
     *
     * @param reader The new input.
     * @param yyline The line number of the first token.
     * @param yychar The position (relative to the start of the stream) of the first token.
     * @param yycolumn The position (relative to the line) of the first token.
     * @throws IOException if an IOExecption occurs while switching readers.
     */
    public void reset(java.io.Reader reader, int yyline, int yychar, int yycolumn) throws IOException{
        yyreset(reader);
        this.yyline = yyline;
		this.yychar = yychar;
		this.yycolumn = yycolumn;
	}


  /**
   * Creates a new scanner
   * There is also a java.io.InputStream version of this constructor.
   *
   * @param   in  the java.io.Reader to read input from.
   */
  public LSAGPILexer(java.io.Reader in) {
    this.zzReader = in;
  }

  /**
   * Creates a new scanner.
   * There is also java.io.Reader version of this constructor.
   *
   * @param   in  the java.io.Inputstream to read input from.
   */
  public LSAGPILexer(java.io.InputStream in) {
    this(new java.io.InputStreamReader(in));
  }


  /**
   * Refills the input buffer.
   *
   * @return      <code>false</code>, iff there was new input.
   * 
   * @exception   java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead-zzStartRead);

      /* translate stored positions */
      zzEndRead-= zzStartRead;
      zzCurrentPos-= zzStartRead;
      zzMarkedPos-= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length) {
      /* if not: blow it up */
      char newBuffer[] = new char[zzCurrentPos*2];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
    }

    /* finally: fill the buffer with new input */
    int numRead = zzReader.read(zzBuffer, zzEndRead,
                                            zzBuffer.length-zzEndRead);

    if (numRead > 0) {
      zzEndRead+= numRead;
      return false;
    }
    // unlikely but not impossible: read 0 characters, but not at end of stream    
    if (numRead == 0) {
      int c = zzReader.read();
      if (c == -1) {
        return true;
      } else {
        zzBuffer[zzEndRead++] = (char) c;
        return false;
      }     
    }

	// numRead < 0
    return true;
  }

    
  /**
   * Closes the input stream.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true;            /* indicate end of file */
    zzEndRead = zzStartRead;  /* invalidate buffer    */

    if (zzReader != null)
      zzReader.close();
  }


  /**
   * Resets the scanner to read from a new input stream.
   * Does not close the old reader.
   *
   * All internal variables are reset, the old input stream 
   * <b>cannot</b> be reused (internal buffer is discarded and lost).
   * Lexical state is set to <tt>ZZ_INITIAL</tt>.
   *
   * @param reader   the new input stream 
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzAtBOL  = true;
    zzAtEOF  = false;
    zzEOFDone = false;
    zzEndRead = zzStartRead = 0;
    zzCurrentPos = zzMarkedPos = 0;
    yyline = yychar = yycolumn = 0;
    zzLexicalState = YYINITIAL;
  }


  /**
   * Returns the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   */
  public final String yytext() {
    return new String( zzBuffer, zzStartRead, zzMarkedPos-zzStartRead );
  }


  /**
   * Returns the character at position <tt>pos</tt> from the 
   * matched text. 
   * 
   * It is equivalent to yytext().charAt(pos), but faster
   *
   * @param pos the position of the character to fetch. 
   *            A value from 0 to yylength()-1.
   *
   * @return the character at position pos
   */
  public final char yycharat(int pos) {
    return zzBuffer[zzStartRead+pos];
  }


  /**
   * Returns the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occured while scanning.
   *
   * In a wellformed scanner (no or only correct usage of 
   * yypushback(int) and a match-all fallback rule) this method 
   * will only be called with things that "Can't Possibly Happen".
   * If this method is called, something is seriously wrong
   * (e.g. a JFlex bug producing a faulty scanner etc.).
   *
   * Usual syntax/scanner level error handling should be done
   * in error fallback rules.
   *
   * @param   errorCode  the code of the errormessage to display
   */
  private void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    }
    catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  } 


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * They will be read again by then next call of the scanning method
   *
   * @param number  the number of characters to be read again.
   *                This number must not be greater than yylength()!
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }


  /**
   * Resumes scanning until the next regular expression is matched,
   * the end of input is encountered or an I/O-Error occurs.
   *
   * @return      the next token
   * @exception   java.io.IOException  if any I/O-Error occurs
   */
  public Token getNextToken() throws java.io.IOException {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char [] zzBufferL = zzBuffer;
    char [] zzCMapL = ZZ_CMAP;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      for (zzCurrentPosL = zzStartRead; zzCurrentPosL < zzMarkedPosL;
                                                             zzCurrentPosL++) {
        switch (zzBufferL[zzCurrentPosL]) {
        case '\u000B':
        case '\u000C':
        case '\u0085':
        case '\u2028':
        case '\u2029':
          yyline++;
          zzR = false;
          break;
        case '\r':
          yyline++;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
          }
          break;
        default:
          zzR = false;
        }
      }

      if (zzR) {
        // peek one character ahead if it is \n (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof) 
            zzPeek = false;
          else 
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;
  
      zzState = ZZ_LEXSTATE[zzLexicalState];


      zzForAction: {
        while (true) {
    
          if (zzCurrentPosL < zzEndReadL)
            zzInput = zzBufferL[zzCurrentPosL++];
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = zzBufferL[zzCurrentPosL++];
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMapL[zzInput] ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          int zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
        case 120: 
          { lastToken = LSAGPIToken.RESERVED_WORD_LIMPIARPANEL;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 128: break;
        case 115: 
          { lastToken = LSAGPIToken.RESERVED_WORD_INVENTARIO;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 129: break;
        case 88: 
          { lastToken = LSAGPIToken.RESERVED_WORD_VERBO;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 130: break;
        case 59: 
          { lastToken = LSAGPIToken.OPERATOR_BITWISE_AND_ASSIGN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 131: break;
        case 38: 
          { lastToken = LSAGPIToken.OPERATOR_MOD_ASSIGN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 132: break;
        case 32: 
          { /* Sun s java has a few bugs here.  Their MAX_FLOAT and MIN_FLOAT do not
     * quite match the spec.  Its not far off, so we will deal.  If they fix
     * then we are fixed.  So all good.
     */ 
    Float f;
    try {
        f = Float.valueOf(yytext());
        if (f.isInfinite() || f.compareTo(new Float(0f)) == 0){
            lastToken = LSAGPIToken.ERROR_FLOAT_SIZE;
        } else {
            lastToken = LSAGPIToken.LITERAL_FLOATING_POINT;
        }
    } catch (NumberFormatException e){
        lastToken = LSAGPIToken.ERROR_FLOAT_SIZE;
    }
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 133: break;
        case 21: 
          { lastToken = LSAGPIToken.OPERATOR_ASSIGN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 134: break;
        case 64: 
          { lastToken = LSAGPIToken.RESERVED_WORD_SI;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 135: break;
        case 107: 
          { lastToken = LSAGPIToken.RESERVED_WORD_ENTONCES;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 136: break;
        case 30: 
          { lastToken = LSAGPIToken.OPERATOR_BITWISE_XOR;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 137: break;
        case 56: 
          { lastToken = LSAGPIToken.OPERATOR_LESS_THAN_OR_EQUAL;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 138: break;
        case 1: 
          { lastToken = LSAGPIToken.ERROR_IDENTIFIER;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 139: break;
        case 25: 
          { lastToken = LSAGPIToken.OPERATOR_BITWISE_COMPLIMENT;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 140: break;
        case 49: 
          { lastToken = LSAGPIToken.OPERATOR_DECREMENT;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 141: break;
        case 80: 
          { lastToken = LSAGPIToken.COMMENT_TRADITIONAL;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 142: break;
        case 72: 
          { lastToken = LSAGPIToken.OPERATOR_SHIFT_LEFT_ASSIGN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 143: break;
        case 48: 
          { lastToken = LSAGPIToken.OPERATOR_ADD_ASSIGN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 144: break;
        case 57: 
          { lastToken = LSAGPIToken.OPERATOR_SHIFT_LEFT;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 145: break;
        case 122: 
          { lastToken = LSAGPIToken.RESERVED_WORD_VERBODEFECTO;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 146: break;
        case 100: 
          { lastToken = LSAGPIToken.RESERVED_WORD_COLOCAR;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 147: break;
        case 61: 
          { lastToken = LSAGPIToken.OPERATOR_BITWISE_OR_ASSIGN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 148: break;
        case 12: 
          { lastToken = LSAGPIToken.SEPARATOR_PERIOD;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 149: break;
        case 17: 
          { lastToken = LSAGPIToken.SEPARATOR_LBRACKET;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 150: break;
        case 58: 
          { lastToken = LSAGPIToken.OPERATOR_NOT_EQUAL;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 151: break;
        case 98: 
          { lastToken = LSAGPIToken.RESERVED_WORD_SONIDO;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 152: break;
        case 91: 
          { lastToken = LSAGPIToken.RESERVED_WORD_CUARTO;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 153: break;
        case 5: 
          { lastToken = LSAGPIToken.OPERATOR_MOD;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 154: break;
        case 60: 
          { lastToken = LSAGPIToken.OPERATOR_LOGICAL_AND;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 155: break;
        case 11: 
          { lastToken = LSAGPIToken.OPERATOR_SUBTRACT;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 156: break;
        case 29: 
          { lastToken = LSAGPIToken.OPERATOR_BITWISE_OR;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 157: break;
        case 14: 
          { lastToken = LSAGPIToken.SEPARATOR_RPAREN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 158: break;
        case 90: 
          { lastToken = LSAGPIToken.RESERVED_WORD_FUENTE;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 159: break;
        case 109: 
          { lastToken = LSAGPIToken.RESERVED_WORD_MIENTRAS;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 160: break;
        case 19: 
          { lastToken = LSAGPIToken.SEPARATOR_SEMICOLON;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 161: break;
        case 97: 
          { lastToken = LSAGPIToken.RESERVED_WORD_SALTAR;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 162: break;
        case 111: 
          { lastToken = LSAGPIToken.RESERVED_WORD_POSICION;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 163: break;
        case 28: 
          { lastToken = LSAGPIToken.OPERATOR_BITWISE_AND;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 164: break;
        case 46: 
          { lastToken = LSAGPIToken.OPERATOR_MULTIPLY_ASSIGN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 165: break;
        case 76: 
          { lastToken = LSAGPIToken.LITERAL_BOOLEAN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 166: break;
        case 16: 
          { lastToken = LSAGPIToken.SEPARATOR_RBRACE;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 167: break;
        case 47: 
          { lastToken = LSAGPIToken.OPERATOR_INCREMENT;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 168: break;
        case 67: 
          { lastToken = LSAGPIToken.LITERAL_CHARACTER;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 169: break;
        case 7: 
          { /* most of these errors have to be caught down near the end of the file.
     * This way, previous expressions of the same length have precedence.
     * This is really useful for catching anything bad by just allowing it 
     * to slip through the cracks. 
     */ 
    lastToken = LSAGPIToken.ERROR_UNCLOSED_STRING;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 170: break;
        case 126: 
          { lastToken = LSAGPIToken.RESERVED_WORD_SELECCIONARJUGADOR;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 171: break;
        case 89: 
          { lastToken = LSAGPIToken.RESERVED_WORD_ENTERO;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 172: break;
        case 36: 
          { /* catch the case of a zero in parsing, so that we do not incorrectly
     * give an error that a number was rounded to zero
     */
    lastToken = LSAGPIToken.LITERAL_FLOATING_POINT;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 173: break;
        case 86: 
          { lastToken = LSAGPIToken.RESERVED_WORD_PAPEL;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 174: break;
        case 33: 
          { String text = yytext();
    try {
        if (lastToken == LSAGPIToken.OPERATOR_SUBTRACT){
            Long.decode('-' + text.substring(0,text.length()-1));
        } else {
            Long.decode(text.substring(0,text.length()-1));
        }
        lastToken = LSAGPIToken.LITERAL_LONG_DECIMAL;
    } catch (NumberFormatException e){  
        lastToken = LSAGPIToken.ERROR_LONG_DECIMIAL_SIZE;
    }
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 175: break;
        case 125: 
          { lastToken = LSAGPIToken.RESERVED_WORD_SELECCIONARACTITUD;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 176: break;
        case 96: 
          { lastToken = LSAGPIToken.RESERVED_WORD_INICIO;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 177: break;
        case 39: 
          { lastToken = LSAGPIToken.ERROR_UNCLOSED_CHARACTER;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 178: break;
        case 112: 
          { lastToken = LSAGPIToken.RESERVED_WORD_LOCALIZAR;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 179: break;
        case 69: 
          { lastToken = LSAGPIToken.RESERVED_WORD_DAR;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 180: break;
        case 123: 
          { lastToken = LSAGPIToken.RESERVED_WORD_PROCEDIMIENTO;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 181: break;
        case 24: 
          { lastToken = LSAGPIToken.OPERATOR_LOGICAL_NOT;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 182: break;
        case 51: 
          { lastToken = LSAGPIToken.RESERVED_WORD_EQ;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 183: break;
        case 70: 
          { lastToken = LSAGPIToken.OPERATOR_SHIFT_RIGHT_ASSIGN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 184: break;
        case 79: 
          { lastToken = LSAGPIToken.OPERATOR_SHIFT_RIGHT_UNSIGNED_ASSIGN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 185: break;
        case 73: 
          { lastToken = LSAGPIToken.RESERVED_WORD_ADD;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 186: break;
        case 4: 
          { lastToken = LSAGPIToken.WHITE_SPACE;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 187: break;
        case 43: 
          { lastToken = LSAGPIToken.COMMENT_END_OF_LINE;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 188: break;
        case 83: 
          { lastToken = LSAGPIToken.RESERVED_WORD_TINTA;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 189: break;
        case 2: 
          { lastToken = LSAGPIToken.IDENTIFIER;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 190: break;
        case 71: 
          { lastToken = LSAGPIToken.OPERATOR_SHIFT_RIGHT_UNSIGNED;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 191: break;
        case 23: 
          { lastToken = LSAGPIToken.OPERATOR_LESS_THAN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 192: break;
        case 105: 
          { lastToken = LSAGPIToken.RESERVED_WORD_ELEMENTO;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 193: break;
        case 31: 
          { lastToken = LSAGPIToken.ERROR_FLOAT;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 194: break;
        case 103: 
          { lastToken = LSAGPIToken.RESERVED_WORD_SISTEMA;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 195: break;
        case 108: 
          { lastToken = LSAGPIToken.RESERVED_WORD_COLISION;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 196: break;
        case 44: 
          { lastToken = LSAGPIToken.ERROR_UNCLOSED_COMMENT;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 197: break;
        case 26: 
          { lastToken = LSAGPIToken.OPERATOR_QUESTION;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 198: break;
        case 106: 
          { lastToken = LSAGPIToken.RESERVED_WORD_ETIQUETA;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 199: break;
        case 13: 
          { lastToken = LSAGPIToken.SEPARATOR_LPAREN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 200: break;
        case 82: 
          { lastToken = LSAGPIToken.RESERVED_WORD_TECLA;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 201: break;
        case 40: 
          { lastToken = LSAGPIToken.ERROR_MALFORMED_CHARACTER;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 202: break;
        case 78: 
          { lastToken = LSAGPIToken.COMMENT_DOCUMENTATION;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 203: break;
        case 54: 
          { lastToken = LSAGPIToken.OPERATOR_GREATER_THAN_OR_EQUAL;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 204: break;
        case 34: 
          { Double d;
    try {
        d = Double.valueOf(yytext());
        if (d.isInfinite() || d.compareTo(new Double(0d)) == 0){
            lastToken = LSAGPIToken.ERROR_DOUBLE_SIZE;
        } else {
            lastToken = LSAGPIToken.LITERAL_DOUBLE;
        }
    } catch (NumberFormatException e){
        lastToken = LSAGPIToken.ERROR_DOUBLE_SIZE;
    } 
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 205: break;
        case 15: 
          { lastToken = LSAGPIToken.SEPARATOR_LBRACE;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 206: break;
        case 110: 
          { lastToken = LSAGPIToken.RESERVED_WORD_PANTALLA;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 207: break;
        case 121: 
          { lastToken = LSAGPIToken.RESERVED_WORD_ACTIVARPANEL;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 208: break;
        case 63: 
          { lastToken = LSAGPIToken.OPERATOR_BITWISE_XOR_ASSIGN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 209: break;
        case 27: 
          { lastToken = LSAGPIToken.OPERATOR_COLON;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 210: break;
        case 41: 
          { lastToken = LSAGPIToken.ERROR_MALFORMED_UNCLOSED_STRING;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 211: break;
        case 68: 
          { lastToken = LSAGPIToken.RESERVED_WORD_FPS;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 212: break;
        case 113: 
          { lastToken = LSAGPIToken.RESERVED_WORD_ANIMACION;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 213: break;
        case 53: 
          { lastToken = LSAGPIToken.OPERATOR_EQUAL;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 214: break;
        case 35: 
          { /* An Octal number cannot be too big.  After removing 
     * initial zeros, It can have 11 digits, the first
     * of which must be 3 or less.
     */
    lastToken = LSAGPIToken.LITERAL_INTEGER_OCTAL;
    int i;     
    String text = yytext();
    int length = text.length();
    for (i=1 ; i<length-11; i++){
        //check for initial zeros
        if (yytext().charAt(i) != '0'){ 
            lastToken = LSAGPIToken.ERROR_INTEGER_OCTAL_SIZE;
        }
    }
    if (length - i > 11){
        lastToken = LSAGPIToken.ERROR_INTEGER_OCTAL_SIZE;
    } else if (length - i == 11){
        // if the rest of the number is as big as possible
        // the first digit can only be 3 or less
        if (text.charAt(i) != '0' && text.charAt(i) != '1' && 
        text.charAt(i) != '2' && text.charAt(i) != '3'){
            lastToken = LSAGPIToken.ERROR_INTEGER_OCTAL_SIZE;
        }
    }
    // Otherwise, it should be OK  
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 215: break;
        case 93: 
          { lastToken = LSAGPIToken.RESERVED_WORD_TAMANO;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 216: break;
        case 62: 
          { lastToken = LSAGPIToken.OPERATOR_LOGICAL_OR;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 217: break;
        case 94: 
          { lastToken = LSAGPIToken.RESERVED_WORD_TITULO;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 218: break;
        case 22: 
          { lastToken = LSAGPIToken.OPERATOR_GREATER_THAN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 219: break;
        case 6: 
          { lastToken = LSAGPIToken.ERROR_MALFORMED_UNCLOSED_CHARACTER;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 220: break;
        case 3: 
          { /* At this point, the number we found could still be too large.
     * If it is too large, we need to return an error.
     * Java has methods built in that will decode from a string
     * and throw an exception the number is too large 
     */     
    String text = yytext();
    try {
        /* bigger negatives are allowed than positives.  Thus
         * we have to be careful to make sure a neg sign is preserved
         */
        if (lastToken == LSAGPIToken.OPERATOR_SUBTRACT){
            Integer.decode('-' + text);
        } else {
            Integer.decode(text);
        }
        lastToken = LSAGPIToken.LITERAL_INTEGER_DECIMAL;
    } catch (NumberFormatException e){
        lastToken = LSAGPIToken.ERROR_INTEGER_DECIMIAL_SIZE;
    }
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 221: break;
        case 124: 
          { lastToken = LSAGPIToken.RESERVED_WORD_ESPERARESPUESTA;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 222: break;
        case 77: 
          { lastToken = LSAGPIToken.ERROR_MALFORMED_STRING;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 223: break;
        case 75: 
          { lastToken = LSAGPIToken.LITERAL_NULL;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 224: break;
        case 117: 
          { lastToken = LSAGPIToken.RESERVED_WORD_ADDPREGUNTA;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 225: break;
        case 20: 
          { lastToken = LSAGPIToken.SEPARATOR_COMMA;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 226: break;
        case 42: 
          { lastToken = LSAGPIToken.LITERAL_STRING;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 227: break;
        case 50: 
          { lastToken = LSAGPIToken.OPERATOR_SUBTRACT_ASSIGN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 228: break;
        case 8: 
          { lastToken = LSAGPIToken.OPERATOR_DIVIDE;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 229: break;
        case 45: 
          { lastToken = LSAGPIToken.OPERATOR_DIVIDE_ASSIGN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 230: break;
        case 65: 
          { /* An Octal number cannot be too big.  After removing 
     * initial zeros, It can have 23 digits, the first
     * of which must be 1 or less.  The last will be the L or l
     * at the end.
     */
    lastToken = LSAGPIToken.LITERAL_LONG_OCTAL;
    int i; 
    String text = yytext();
    int length = text.length();
    for (i=1 ; i<length-23; i++){
        //check for initial zeros
        if (text.charAt(i) != '0'){ 
            lastToken = LSAGPIToken.ERROR_LONG_OCTAL_SIZE;
        }
    }
    if (length - i > 23){
        lastToken = LSAGPIToken.ERROR_LONG_OCTAL_SIZE;
    } else if (length - i == 23){
        // if the rest of the number is as big as possible
        // the first digit can only be 3 or less
        if (text.charAt(i) != '0' && text.charAt(i) != '1'){
            lastToken = LSAGPIToken.ERROR_LONG_OCTAL_SIZE;
        }
    }
    // Otherwise, it should be OK  
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 231: break;
        case 95: 
          { lastToken = LSAGPIToken.RESERVED_WORD_IMAGEN;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 232: break;
        case 18: 
          { lastToken = LSAGPIToken.SEPARATOR_RBRACKET;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 233: break;
        case 74: 
          { /* A Hex long cannot be too big.  After removing 
     * initial zeros, It can have 17 digits, the last of which is
     * the L or l
     */
    lastToken = LSAGPIToken.LITERAL_LONG_HEXIDECIMAL;
    int i;
    String text = yytext();
    int length = text.length();
    for (i=2 ; i<length-17; i++){
        //check for initial zeros
        if (text.charAt(i) != '0'){ 
            lastToken = LSAGPIToken.ERROR_LONG_HEXIDECIMAL_SIZE;
        }
    }
    if (length - i > 17){
        lastToken = LSAGPIToken.ERROR_LONG_HEXIDECIMAL_SIZE;
    }
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 234: break;
        case 85: 
          { lastToken = LSAGPIToken.RESERVED_WORD_ICONO;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 235: break;
        case 37: 
          { lastToken = LSAGPIToken.LITERAL_DOUBLE;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 236: break;
        case 104: 
          { lastToken = LSAGPIToken.RESERVED_WORD_JUGADOR;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 237: break;
        case 66: 
          { /* A Hex number cannot be too big.  After removing 
     * initial zeros, It can have 8 digits
     */
    lastToken = LSAGPIToken.LITERAL_INTEGER_HEXIDECIMAL;
    int i;    
    String text = yytext();
    int length = text.length();
    for (i=2 ; i<length-8; i++){
        //check for initial zeros
        if (text.charAt(i) != '0'){ 
            lastToken = LSAGPIToken.ERROR_INTEGER_HEXIDECIMAL_SIZE;
        }
    }
    if (length - i > 8){
        lastToken = LSAGPIToken.ERROR_INTEGER_HEXIDECIMAL_SIZE;
    }
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 238: break;
        case 52: 
          { lastToken = LSAGPIToken.RESERVED_WORD_DI;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 239: break;
        case 55: 
          { lastToken = LSAGPIToken.OPERATOR_SHIFT_RIGHT;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 240: break;
        case 119: 
          { lastToken = LSAGPIToken.RESERVED_WORD_SONIDOFONDO;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 241: break;
        case 101: 
          { lastToken = LSAGPIToken.RESERVED_WORD_ANGULOS;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 242: break;
        case 99: 
          { lastToken = LSAGPIToken.RESERVED_WORD_HABLAR;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 243: break;
        case 84: 
          { lastToken = LSAGPIToken.RESERVED_WORD_MOVER;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 244: break;
        case 102: 
          { lastToken = LSAGPIToken.RESERVED_WORD_MASCARA;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 245: break;
        case 87: 
          { lastToken = LSAGPIToken.RESERVED_WORD_GIRAR;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 246: break;
        case 114: 
          { lastToken = LSAGPIToken.RESERVED_WORD_SENTENCIA;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 247: break;
        case 116: 
          { lastToken = LSAGPIToken.RESERVED_WORD_CONMUTATIVO;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 248: break;
        case 92: 
          { lastToken = LSAGPIToken.RESERVED_WORD_CURSOR;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 249: break;
        case 118: 
          { lastToken = LSAGPIToken.RESERVED_WORD_INSTRUCCION;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 250: break;
        case 9: 
          { lastToken = LSAGPIToken.OPERATOR_MULTIPLY;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 251: break;
        case 81: 
          { lastToken = LSAGPIToken.RESERVED_WORD_ANDAR;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 252: break;
        case 10: 
          { lastToken = LSAGPIToken.OPERATOR_ADD;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 253: break;
        case 127: 
          { lastToken = LSAGPIToken.RESERVED_WORD_SELECCIONARANIMACION;
    String text = yytext();
    LSAGPIToken t = (new LSAGPIToken(lastToken,text,yyline,yychar,yychar+text.length(),nextState));
    return (t);
          }
        case 254: break;
        default: 
          if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
            zzAtEOF = true;
            return null;
          } 
          else {
            zzScanError(ZZ_NO_MATCH);
          }
      }
    }
  }


}
